Bug 151923 - The new Open Office extensions (.ods, etc) don't have icons
Summary: The new Open Office extensions (.ods, etc) don't have icons
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-icon-theme   
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 16:46 UTC by José Salgado
Modified: 2013-03-13 04:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-09 20:01:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description José Salgado 2005-03-23 16:46:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.1 Fedora/1.0.1-6

Description of problem:
If you look a file like .sxw you can see an icon that shows the document can be opened with Open Office. But the new extensions .ods, you see a feet, not the Open Office Icon.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Nautilus window
2. Go where you have some Open Office document with the new extension .odt
3. You can see there's no icon
  

Additional info:

Comment 1 Caolan McNamara 2005-04-07 08:18:51 UTC
caolanm->johnp: 
OOo 2.0 has a pile of icons for it's new oasis mimetypes which it sticks into
e.g. /usr/share/icons/gnome/*/mimetypes as openofficeorg-19-*.

Alex reckons the right approach for now is to add gnome icons to
gnome-icon-theme and bluecurve icons to redhat-artwork. These new icons should
be called  gnome-mime-whatever and that it's likely that we can just reuse the
existing OOo icons using symlinks.


Comment 2 sangu 2005-05-09 03:34:33 UTC
This problem is fixed in gnome-icon-theme-2.10.1-4 and shared-mime-info-0.16-2.


Note You need to log in before you can comment on or make changes to this bug.